<mat-card>
  <mat-card-title>Login</mat-card-title>
  <mat-card-content>
    <form [formGroup]="form" (ngSubmit)="navigateToDashboard()">
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="Email" formControlName="email">
        </mat-form-field>
      </p>

      <p>
        <mat-form-field>
          <input type="password" matInput placeholder="Password" formControlName="password">
        </mat-form-field>
      </p>

      <mat-form-field class="example-full-width">
        <input matInput [textMask]="{mask: datemask}" formControlName="myModel" placeholder="Type a date to test mask">
      </mat-form-field>
      <p class="loginButtons">
        <button type="submit" mat-button>Login</button>
      </p>

    </form>
  </mat-card-content>
</mat-card>